# Get purse delegations

Get paginated list of purse delegations identified by its URef.

```
GET /purse-urefs/{purse_uref}/delegations
```

## Query params

None

## Sorting

| Property | Description          |
| -------- | -------------------- |
| `stake`  | Sort by stake amount |

Default sorting is `stake DESC`

## Optional properties

| Property                   | Type                                                                                  | Description                                                                                             |
| -------------------------- | ------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| `account_info`             | [AccountInfo](https://docs.cspr.cloud/rest-api/account-info)                          | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the delegator |
| `validator_account_info`   | [AccountInfo](https://docs.cspr.cloud/rest-api/account-info)                          | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the validator |
| `centralized_account_info` | [`CentralizedAccountInfo`](https://docs.cspr.cloud/rest-api/centralized-account-info) | Account information available for known accounts provided by CSPR.cloud team                            |
| `bidder`                   | [`Bidder`](https://docs.cspr.cloud/rest-api/bidder)                                   | Bidder auction info of the validator                                                                    |
| `cspr_name`                | `string`                                                                              | Primary CSPR.name of the account                                                                        |
| `validator_cspr_name`      | `string`                                                                              | Primary CSPR.name of the validator account                                                              |

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/documentation/overview/pagination)[`<Delegation>`](https://docs.cspr.cloud/rest-api/delegation)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/purse-urefs/uref-2765FDC748EE7AB6F0CE1C13FD97E54EEB6403159602C07E2F950C565C07CFD0-007/delegations?limit=2&offset=0' \
  -H 'Accept: application/json' \
  -H 'Authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "item_count": 1,
  "page_count": 1,
  "data": [
    {
      "bonding_purse": "uref-b6c8e1e97ae7783f0a65051d68cb61a24fcf90f08615cd78e0e5e0eb6e2192a6-007",
      "delegator_identifier": "uref-2765fdc748ee7ab6f0ce1c13fd97e54eeb6403159602c07e2f950c565c07cfd0-007",
      "delegator_identifier_type_id": 1,
      "stake": "6102866096569",
      "validator_public_key": "01075ec8809c691a1d1b0250ba9ea75da5460e3df43c3172771c6975c989457159"
    }
  ]
}
```
